package jrummikub.view;

import java.awt.Color;
import java.util.Collection;

import jrummikub.model.Stone;
import jrummikub.util.IEvent;
import jrummikub.util.MockEvent;

/**
 * Mock class for View
 */
public class MockView implements IView {
	/** */
	public MockSettingsPanel settingsPanel = new MockSettingsPanel();
	/** */
	public MockScorePanel scorePanel = new MockScorePanel();
	/** */
	public MockPlayerPanel playerPanel = new MockPlayerPanel();
	/** */
	public MockTablePanel tablePanel = new MockTablePanel();
	/** */
	public MockHandPanel handPanel = new MockHandPanel();

	/** */
	public Collection<Stone> selectedStones;

	/** */
	public String currentPlayerName;
	/** */
	public BottomPanelType bottomPanelType;

	/** */
	public MockEvent startTurnEvent = new MockEvent();
	/** */
	public MockEvent quitEvent = new MockEvent();
	/** */
	public MockEvent newRoundEvent = new MockEvent();
	/**	 */
	public MockEvent newGameEvent = new MockEvent();
	/**	 */
	public MockEvent menuNewGameEvent = new MockEvent();
	/**	 */
	public MockEvent menuLoadEvent = new MockEvent();
	/**	 */
	public MockEvent menuSaveEvent = new MockEvent();
	/**	 */
	public MockEvent menuQuitEvent = new MockEvent();

	@Override
	public MockTablePanel getTablePanel() {
		return tablePanel;
	}

	@Override
	public MockPlayerPanel getPlayerPanel() {
		return playerPanel;
	}

	@Override
	public MockHandPanel getHandPanel() {
		return handPanel;
	}

	@Override
	public void setCurrentPlayerName(String playerName) {
		currentPlayerName = playerName;
	}

	@Override
	public void setSelectedStones(Collection<Stone> stones) {
		selectedStones = stones;
	}

	@Override
	public IEvent getStartTurnEvent() {
		return startTurnEvent;
	}

	@Override
	public IEvent getEndProgramEvent() {
		return quitEvent;
	}

	@Override
	public IEvent getNewRoundEvent() {
		return newRoundEvent;
	}

	@Override
	public ISettingsPanel getSettingsPanel() {
		return settingsPanel;
	}

	@Override
	public void showSettingsPanel(boolean show) {
		// TODO Auto-generated method stub

	}

	@Override
	public IScorePanel getScorePanel() {
		return scorePanel;
	}

	@Override
	public void showScorePanel(boolean show) {
		// TODO Auto-generated method stub

	}

	@Override
	public void setCurrentPlayerColor(Color color) {
		// TODO Auto-generated method stub

	}

	@Override
	public void setCurrentPlayerHasLaidOut(boolean hasLaidOut) {
		// TODO Auto-generated method stub

	}

	@Override
	public IEvent getNewGameEvent() {
		return newGameEvent;
	}

	@Override
	public void setBottomPanel(BottomPanelType type) {
		bottomPanelType = type;
	}

	@Override
	public IEvent getMenuNewGameEvent() {
		return menuNewGameEvent;
	}

	@Override
	public IEvent getMenuLoadEvent() {
		return menuLoadEvent;
	}

	@Override
	public IEvent getMenuSaveEvent() {
		return menuSaveEvent;
	}

	@Override
	public IEvent getMenuQuitEvent() {
		return menuQuitEvent;
	}
}
